## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# No python%%{python3_other_pkgversion}-cov-core is available.
%bcond_with python3_other

Name:           python-nose2
Version:        0.6.5
Release:        %autorelease -b 6
Summary:        The successor to nose, based on unittest2

License:        BSD
URL:            https://nose2.io/
Source0:        %{pypi_source nose2}
# Man page written for Fedora in groff_man(7) format based on --help output
Source1:        nose2.1
Patch0:         https://github.com/nose-devs/nose2/pull/309.patch
Patch1:         https://github.com/nose-devs/nose2/pull/384.patch

BuildArch:      noarch

BuildRequires:  hardlink

%global common_description %{expand: \
nose2 is the successor to nose.

It’s unittest with plugins.

nose2’s purpose is to extend unittest to make testing nicer and easier to
understand.}

%description
%{common_description}


%package -n python2-nose2
Summary:        %{summary}

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-six >= 1.1
BuildRequires:  python2-cov-core >= 1.12
BuildRequires:  python2-mock

Requires:       python2-setuptools
Requires:       python2-six >= 1.1
Requires:       python2-cov-core >= 1.12
Requires:       python2-mock

%{?python_provide:%python_provide python2-nose2}

%description -n python2-nose2
%{common_description}


%package -n python%{python3_pkgversion}-nose2
Summary:        %{summary}

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-six >= 1.1
BuildRequires:  python%{python3_pkgversion}-cov-core >= 1.12

Requires:       python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-six >= 1.1
Requires:       python%{python3_pkgversion}-cov-core >= 1.12

%{?python_provide:%python_provide python%{python3_pkgversion}-nose2}

%description -n python%{python3_pkgversion}-nose2
%{common_description}


%if %{with python3_other}
%package -n python%{python3_other_pkgversion}-nose2
Summary:        %{summary}

BuildRequires:  python%{python3_other_pkgversion}-devel
BuildRequires:  python%{python3_other_pkgversion}-setuptools
BuildRequires:  python%{python3_other_pkgversion}-six >= 1.1
BuildRequires:  python%{python3_other_pkgversion}-cov-core >= 1.12

Requires:       python%{python3_other_pkgversion}-setuptools
Requires:       python%{python3_other_pkgversion}-six >= 1.6
Requires:       python%{python3_other_pkgversion}-cov-core >= 1.12

%{?python_provide:%python_provide python%{python3_other_pkgversion}-nose2}

%description -n python%{python3_other_pkgversion}-nose2
%{common_description}
%endif


%prep
%autosetup -n nose2-%{version} -p1


%build
%py2_build
%py3_build
%if %{with python3_other}
%py3_other_build
%endif


%install
# Must do the default install last because the scripts in /usr/bin are
# overwritten with every setup.py install.
%if %{with python3_other}
%py3_other_install
%endif
%py3_install
%py2_install
hardlink -v '%{buildroot}%{_bindir}/nose2'
install -d '%{buildroot}%{_mandir}/man1'
install -t '%{buildroot}%{_mandir}/man1' -p -m 0644 '%{SOURCE1}'


%check
env PYTHONPATH='%{buildroot}%{python2_sitelib}' \
    '%{python2}' -m nose2.__main__ -v
env PYTHONPATH='%{buildroot}%{python3_sitelib}' \
    '%{python3}' -m nose2.__main__ -v
%if %{with python3_other}
env PYTHONPATH='%{buildroot}%{python3_other_sitelib}' \
    '%{python3_other}' -m nose2.__main__ -v
%endif


%files -n python2-nose2
%license license.txt
%doc AUTHORS
%doc README.rst

%{python2_sitelib}/nose2
%{python2_sitelib}/nose2-%{version}-py%{python2_version}.egg-info

%{_bindir}/nose2-%{python2_version}
%{_bindir}/nose2
%{_mandir}/man1/nose2.1*


%files -n python%{python3_pkgversion}-nose2
%license license.txt
%doc AUTHORS
%doc README.rst
%{python3_sitelib}/nose2
%{python3_sitelib}/nose2-%{version}-py%{python3_version}.egg-info
%{_bindir}/nose2-%{python3_version}


%if %{with python3_other}
%files -n python%{python3_other_pkgversion}-nose2
%license license.txt
%doc AUTHORS
%doc README.rst

%{python3_other_sitelib}/nose2
%{python3_other_sitelib}/nose2-%{version}-py%{python3_version}.egg-info
%endif


%changelog
* Fri Jun 10 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.6.5-7
- Fix release number

* Wed Jun 08 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.6.5-1
- Modernize packaging as appropriate for EPEL7
- Add a man page

* Fri Mar 08 2019 Troy Dawson <tdawson@redhat.com> - 0.6.5-6
- Rebuilt to change main python from 3.4 to 3.6

* Fri Feb 08 2019 Miro Hrončok <mhroncok@redhat.com> - 0.6.5-5
- Fix zipped egg discovery on newer setuptools versions

* Sat Jun 10 2017 Aurelien Bompard <abompard@fedoraproject.org> - 0.6.5-4
- Rename a BuildRequires

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.6.5-2
- Rebuild for Python 3.6

* Tue Sep 13 2016 Aurelien Bompard <abompard@fedoraproject.org> - 0.6.5-1
- Initial package.

